Debian Bug report logs - #520595
libwww-curl-perl: Please switch to libcurl3-gnutls

version graph

Package: libwww-curl-perl; Maintainer for libwww-curl-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libwww-curl-perl is src:libwww-curl-perl.

Reported by: Adrian Bunk <bunk@stusta.de>

Date: Sat, 21 Mar 2009 07:42:04 UTC

Severity: normal

Found in version libwww-curl-perl/4.05-1

Fixed in version libwww-curl-perl/4.06-1

Done: Ryan Niebur <ryanryan52@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#520595; Package libwww-curl-perl. (Sat, 21 Mar 2009 07:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 21 Mar 2009 07:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libwww-curl-perl: Please switch to libcurl3-gnutls
Date: Sat, 21 Mar 2009 09:40:23 +0200
Package: libwww-curl-perl
Version: 4.05-1
Severity: normal

- /usr/lib/perl5/auto/WWW/Curl/Curl.so is linked with libcurl3
- libcurl3 is linked with OpenSSL
- OpenSSL has a not GPL-compatible licence

Using libwww-curl-perl in a Perl script together with e.g.
libapt-pkg-perl might result in situations where the GPL
gets violated.

Unless there's a strong reason against it, it would therefore
be good if libwww-curl-perl could switch to libcurl3-gnutls.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.27.20 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libwww-curl-perl depends on:
ii  libc6                   2.9-4            GNU C Library: Shared libraries
ii  libcurl3                7.18.2-8.1       Multi-protocol file transfer libra
....




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#520595; Package libwww-curl-perl. (Sat, 21 Mar 2009 15:51:07 GMT) Full text and rfc822 format available.

Message #8 received at 520595@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 520595@bugs.debian.org, 520595-submitter@bugs.debian.org
Subject: Bug in libwww-curl-perl fixed in revision 32253
Date: Sat, 21 Mar 2009 15:47:45 +0000
tag 520595 + pending
thanks

Some bugs are closed in revision 32253
by Gregor Herrmann (gregoa)

Commit message:

Build against libcurl4-gnutls-dev instead of libcurl4-openssl-dev, thanks
to Adrian Bunk for the bug report (closes: #520595).




Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 21 Mar 2009 15:51:08 GMT) Full text and rfc822 format available.

Message sent on to Adrian Bunk <bunk@stusta.de>:
Bug#520595. (Sat, 21 Mar 2009 15:51:13 GMT) Full text and rfc822 format available.

Reply sent to Ryan Niebur <ryanryan52@gmail.com>:
You have taken responsibility. (Thu, 09 Apr 2009 19:21:10 GMT) Full text and rfc822 format available.

Notification sent to Adrian Bunk <bunk@stusta.de>:
Bug acknowledged by developer. (Thu, 09 Apr 2009 19:21:10 GMT) Full text and rfc822 format available.

Message #18 received at 520595-close@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 520595-close@bugs.debian.org
Subject: Bug#520595: fixed in libwww-curl-perl 4.06-1
Date: Thu, 09 Apr 2009 18:48:08 +0000
Source: libwww-curl-perl
Source-Version: 4.06-1

We believe that the bug you reported is fixed in the latest version of
libwww-curl-perl, which is due to be installed in the Debian FTP archive:

libwww-curl-perl_4.06-1.diff.gz
  to pool/main/libw/libwww-curl-perl/libwww-curl-perl_4.06-1.diff.gz
libwww-curl-perl_4.06-1.dsc
  to pool/main/libw/libwww-curl-perl/libwww-curl-perl_4.06-1.dsc
libwww-curl-perl_4.06-1_i386.deb
  to pool/main/libw/libwww-curl-perl/libwww-curl-perl_4.06-1_i386.deb
libwww-curl-perl_4.06.orig.tar.gz
  to pool/main/libw/libwww-curl-perl/libwww-curl-perl_4.06.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 520595@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Niebur <ryanryan52@gmail.com> (supplier of updated libwww-curl-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 08 Apr 2009 20:28:28 -0700
Source: libwww-curl-perl
Binary: libwww-curl-perl
Architecture: source i386
Version: 4.06-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ryan Niebur <ryanryan52@gmail.com>
Description: 
 libwww-curl-perl - Perl bindings to libcurl
Closes: 518942 519841 520595
Changes: 
 libwww-curl-perl (4.06-1) unstable; urgency=low
 .
   [ gregor herrmann ]
   * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
     (source stanza).
   * debian/control: Added: ${misc:Depends} to Depends: field.
   * Build against libcurl4-gnutls-dev instead of libcurl4-openssl-dev, thanks
     to Adrian Bunk for the bug report (closes: #520595).
   * Set debhelper compatibility level to 7; adapt
     debian/{control,compat,rules}.
   * Set Standards-Version to 3.8.1 (no changes).
   * debian/copyright: update formatting and information about several files.
 .
   [ Ryan Niebur ]
   * New upstream release (Closes: #519841, #518942)
   * Add myself to Uploaders
   * update copyright for inc/*
Checksums-Sha1: 
 2af73faefd301c8d161f8a6af6a058f9f63707e8 1571 libwww-curl-perl_4.06-1.dsc
 1396e815ff471ce17a14c71cd00ceeb9ed250e87 39670 libwww-curl-perl_4.06.orig.tar.gz
 50faa10ec4d9a726d6825edb3a775d40aef30b54 11548 libwww-curl-perl_4.06-1.diff.gz
 9a43e7011619de40a3aa0e526e77dd98ae27359f 55800 libwww-curl-perl_4.06-1_i386.deb
Checksums-Sha256: 
 4e5f3130b7a2675ff2bfb58916954ad4c05e9f595b15c0b02060148f3f77ab63 1571 libwww-curl-perl_4.06-1.dsc
 29b5561ab804c787769b1478e6c849c97428a6eb0ad97d298bcefba92461a429 39670 libwww-curl-perl_4.06.orig.tar.gz
 2b55f2c61bdd0b1122c0c1cb573ca769eddc6994f846c21115c6f2f1ebe66009 11548 libwww-curl-perl_4.06-1.diff.gz
 89af26a31caea0274166e1a80deb0b01a223f660329c384453e63fab48b99bc6 55800 libwww-curl-perl_4.06-1_i386.deb
Files: 
 6b05bdd8ac59d65164d0407b81a75f1a 1571 perl optional libwww-curl-perl_4.06-1.dsc
 14f911d9d7df2890f8cb4b631f2907c2 39670 perl optional libwww-curl-perl_4.06.orig.tar.gz
 2246e859abe3a1475438e2eb0f52c58c 11548 perl optional libwww-curl-perl_4.06-1.diff.gz
 30a3072c0858ff0b587c7b4f93fff764 55800 perl optional libwww-curl-perl_4.06-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkneIoQACgkQOzKYnQDzz+TfdACg3LqvZCCDLMe227FrP7+VLwvT
6/0AoJRIqDlaJvSgXNOuS6/1SGWyu4RO
=Qc2n
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 May 2009 07:49:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:19:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.